# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.31

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/user/lt/n_os_tr/stack/nostr-id-tui

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/user/lt/n_os_tr/stack/nostr-id-tui/build-host

# Include any dependencies generated for this target.
include CMakeFiles/nostr-id-tui.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/nostr-id-tui.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/nostr-id-tui.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/nostr-id-tui.dir/flags.make

CMakeFiles/nostr-id-tui.dir/codegen:
.PHONY : CMakeFiles/nostr-id-tui.dir/codegen

CMakeFiles/nostr-id-tui.dir/src/main.c.o: CMakeFiles/nostr-id-tui.dir/flags.make
CMakeFiles/nostr-id-tui.dir/src/main.c.o: /home/user/lt/n_os_tr/stack/nostr-id-tui/src/main.c
CMakeFiles/nostr-id-tui.dir/src/main.c.o: CMakeFiles/nostr-id-tui.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/user/lt/n_os_tr/stack/nostr-id-tui/build-host/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building C object CMakeFiles/nostr-id-tui.dir/src/main.c.o"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT CMakeFiles/nostr-id-tui.dir/src/main.c.o -MF CMakeFiles/nostr-id-tui.dir/src/main.c.o.d -o CMakeFiles/nostr-id-tui.dir/src/main.c.o -c /home/user/lt/n_os_tr/stack/nostr-id-tui/src/main.c

CMakeFiles/nostr-id-tui.dir/src/main.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/nostr-id-tui.dir/src/main.c.i"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/user/lt/n_os_tr/stack/nostr-id-tui/src/main.c > CMakeFiles/nostr-id-tui.dir/src/main.c.i

CMakeFiles/nostr-id-tui.dir/src/main.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/nostr-id-tui.dir/src/main.c.s"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/user/lt/n_os_tr/stack/nostr-id-tui/src/main.c -o CMakeFiles/nostr-id-tui.dir/src/main.c.s

CMakeFiles/nostr-id-tui.dir/src/services_conf.c.o: CMakeFiles/nostr-id-tui.dir/flags.make
CMakeFiles/nostr-id-tui.dir/src/services_conf.c.o: /home/user/lt/n_os_tr/stack/nostr-id-tui/src/services_conf.c
CMakeFiles/nostr-id-tui.dir/src/services_conf.c.o: CMakeFiles/nostr-id-tui.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/user/lt/n_os_tr/stack/nostr-id-tui/build-host/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building C object CMakeFiles/nostr-id-tui.dir/src/services_conf.c.o"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT CMakeFiles/nostr-id-tui.dir/src/services_conf.c.o -MF CMakeFiles/nostr-id-tui.dir/src/services_conf.c.o.d -o CMakeFiles/nostr-id-tui.dir/src/services_conf.c.o -c /home/user/lt/n_os_tr/stack/nostr-id-tui/src/services_conf.c

CMakeFiles/nostr-id-tui.dir/src/services_conf.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/nostr-id-tui.dir/src/services_conf.c.i"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/user/lt/n_os_tr/stack/nostr-id-tui/src/services_conf.c > CMakeFiles/nostr-id-tui.dir/src/services_conf.c.i

CMakeFiles/nostr-id-tui.dir/src/services_conf.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/nostr-id-tui.dir/src/services_conf.c.s"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/user/lt/n_os_tr/stack/nostr-id-tui/src/services_conf.c -o CMakeFiles/nostr-id-tui.dir/src/services_conf.c.s

CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.o: CMakeFiles/nostr-id-tui.dir/flags.make
CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.o: /home/user/lt/n_os_tr/stack/nostr-id-tui/src/systemd_client.c
CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.o: CMakeFiles/nostr-id-tui.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/user/lt/n_os_tr/stack/nostr-id-tui/build-host/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building C object CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.o"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.o -MF CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.o.d -o CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.o -c /home/user/lt/n_os_tr/stack/nostr-id-tui/src/systemd_client.c

CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.i"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/user/lt/n_os_tr/stack/nostr-id-tui/src/systemd_client.c > CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.i

CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.s"
	/usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/user/lt/n_os_tr/stack/nostr-id-tui/src/systemd_client.c -o CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.s

# Object files for target nostr-id-tui
nostr__id__tui_OBJECTS = \
"CMakeFiles/nostr-id-tui.dir/src/main.c.o" \
"CMakeFiles/nostr-id-tui.dir/src/services_conf.c.o" \
"CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.o"

# External object files for target nostr-id-tui
nostr__id__tui_EXTERNAL_OBJECTS =

nostr-id-tui: CMakeFiles/nostr-id-tui.dir/src/main.c.o
nostr-id-tui: CMakeFiles/nostr-id-tui.dir/src/services_conf.c.o
nostr-id-tui: CMakeFiles/nostr-id-tui.dir/src/systemd_client.c.o
nostr-id-tui: CMakeFiles/nostr-id-tui.dir/build.make
nostr-id-tui: CMakeFiles/nostr-id-tui.dir/compiler_depend.ts
nostr-id-tui: /home/user/lt/n_os_tr/stack/nostr-id-tui/../../includes/nostr_core_lib/libnostr_core_x64.a
nostr-id-tui: /usr/lib/x86_64-linux-gnu/libcurses.so
nostr-id-tui: /usr/lib/x86_64-linux-gnu/libform.so
nostr-id-tui: CMakeFiles/nostr-id-tui.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/user/lt/n_os_tr/stack/nostr-id-tui/build-host/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Linking C executable nostr-id-tui"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/nostr-id-tui.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/nostr-id-tui.dir/build: nostr-id-tui
.PHONY : CMakeFiles/nostr-id-tui.dir/build

CMakeFiles/nostr-id-tui.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/nostr-id-tui.dir/cmake_clean.cmake
.PHONY : CMakeFiles/nostr-id-tui.dir/clean

CMakeFiles/nostr-id-tui.dir/depend:
	cd /home/user/lt/n_os_tr/stack/nostr-id-tui/build-host && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/user/lt/n_os_tr/stack/nostr-id-tui /home/user/lt/n_os_tr/stack/nostr-id-tui /home/user/lt/n_os_tr/stack/nostr-id-tui/build-host /home/user/lt/n_os_tr/stack/nostr-id-tui/build-host /home/user/lt/n_os_tr/stack/nostr-id-tui/build-host/CMakeFiles/nostr-id-tui.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : CMakeFiles/nostr-id-tui.dir/depend

